// SPDX-License-Identifier: Apache-2.0
import { createFixture } from "../config";
import { HederaIdPropsFixture } from "../shared/DataFixture";
export const SetComplianceCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.compliance.as(() => HederaIdPropsFixture.create().value);
});
export const ComplianceQueryFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
});
export const SetComplianceRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.compliance.as(() => HederaIdPropsFixture.create().value);
});
export const ComplianceRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
});
